Add outline for hub (not measured)

This commit is contained in:
Roberto Alsina 2023-04-01 13:42:40 -03:00
parent dcc6b3e552
commit d69066f465
14 changed files with 77 additions and 40 deletions

View File

@ -29,7 +29,6 @@ def add(
back_face, back_face,
shell_t shell_t
): ):
# Holes # Holes
if back_face: if back_face:
for hole in holes: for hole in holes:

View File

@ -106,7 +106,6 @@ def add(
back_face, back_face,
shell_t shell_t
): ):
if bottom_face: if bottom_face:
# Vents # Vents
for vent in vents: for vent in vents:

View File

@ -29,7 +29,6 @@ def add(
back_face, back_face,
shell_t shell_t
): ):
# Holes # Holes
if back_face: if back_face:
for hole in holes: for hole in holes:

View File

@ -55,7 +55,6 @@ def add(
back_face, back_face,
shell_t shell_t
): ):
# This one is special, it creates angled things and cuts off the # This one is special, it creates angled things and cuts off the
# case, so ... it's going to do weird stuff # case, so ... it's going to do weird stuff

Binary file not shown.

View File

@ -67,7 +67,6 @@ def model():
if __name__ == "__main__": if __name__ == "__main__":
model = model() model = model()
exporters.export(model, "lid.stl") exporters.export(model, "lid.stl")

Binary file not shown.

File diff suppressed because one or more lines are too long

Before

Width:  |  Height:  |  Size: 754 KiB

After

Width:  |  Height:  |  Size: 773 KiB

View File

@ -169,7 +169,6 @@ def model():
if __name__ == "__main__": if __name__ == "__main__":
model = model() model = model()
left_cutout = cq.Sketch().polygon( left_cutout = cq.Sketch().polygon(

Binary file not shown.

View File

@ -132,7 +132,6 @@ def model():
if __name__ == "__main__": if __name__ == "__main__":
print("Exporting") print("Exporting")
exporters.export(model(), "screen_mount.stl") exporters.export(model(), "screen_mount.stl")

View File

@ -47,7 +47,6 @@ def add(
shell_t shell_t
): ):
if bottom_face: if bottom_face:
# Mounting pillars # Mounting pillars
for element in elements: for element in elements:
model = extrude_shape( model = extrude_shape(

View File

@ -26,7 +26,20 @@ elements = [
cq.Sketch().trapezoid(22, 10, 90, mode="a").trapezoid(17, 10, 90, mode="s") cq.Sketch().trapezoid(22, 10, 90, mode="a").trapezoid(17, 10, 90, mode="s")
), ),
"height": 8, "height": 8,
} },
# Outline
{
"x": 0,
"y": 35,
"shape": (
cq.Sketch()
.trapezoid(17, 70, 90, mode="a")
.trapezoid(15, 68, 90, mode="s")
.vertices()
.fillet(3)
),
"height": 0.2,
},
] ]
@ -42,7 +55,6 @@ def add(
back_face, back_face,
shell_t shell_t
): ):
# USB Hub extrusions # USB Hub extrusions
if bottom_face: if bottom_face:
for element in elements: for element in elements:
@ -51,8 +63,8 @@ def add(
face=bottom_face, face=bottom_face,
w=width, w=width,
h=height, h=height,
x_offset=263, # offset_x, x_offset=offset_x,
y_offset=0, # shell_t + offset_y, y_offset=shell_t + offset_y,
element=element, element=element,
height=-(element["height"] + shell_t), height=-(element["height"] + shell_t),
) )

View File

@ -66,7 +66,6 @@ def add(
back_face, back_face,
shell_t shell_t
): ):
if bottom_face: if bottom_face:
# Vents # Vents
for vent in vents: for vent in vents: